Create  Edit  FrontPage  Index  Search  Changes  History  RSS  Login

Poppler

module Poppler

If you require to use poppler without a running Xorgserver, try the following code:

begin
  require 'gtk2'
rescue Gtk::InitError
end
require 'poppler'

Module Functions

Poppler.backend
Poppler.cairo_available?
  • Returns: true if rcairo is avilable, otherwise false
Poppler.version
  • Returns: Poppler version as String

Constants

BUILD_VERSION
  • build version number as [major, minor, micro]
VERSION
  • version number as [major, minor, micro]
LOG_DOMAIN

ChangeLog

  • 2006-05-18 kou: completed.

- kou

Last modified:2009/04/02 21:46:55
Keyword(s):
References:[Ruby/Poppler] [index-ruby-poppler]